Subject: Re: few more fixes for iproute2/m_ipt

From: jamal <[email-masked]>
Date: Wed, 06 Aug 2008 07:04:46 -0400

On Wed, 2008-06-08 at 13:21 +0300, Denys Fedoryshchenko wrote:

> #1 is validated 100%, because i was not able to run tc in batch mode for my 
> tasks(2nd or 3rd ipt rule will crash), till i implement those patches. The 
> batch i gave is short version, full version have around 11k lines. But it 
> crashes usually max on 2rd or 3nd ipt.

Ok, thanks - let me take a closer look. 
Actually i dont doubt that when you batch the optind maybe shaky - I am
more worried about other working scenarios that may have depended on it.
I will still say put #2 and #3 in separate patch.

> Well, i can fix what i can sniff&smell in my daily job, and especially if i 
> hit a wall because of some code :-) For me it is difficult to inspect the 
> code, since i am very weak in C, but i will try. 

I understand it could be frustrating sometimes but given
your situation you are doing fantastic work. It is highly appreciated.

cheers,
jamal